Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2251993004: media/.../{android_,gpu_}video_encode_accelerator{,_host} cleanup (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 1 month ago by mcasas
Modified:
1 year, 1 month ago
Reviewers:
watk
CC:
chromium-reviews, posciak+watch_chromium.org, feature-media-reviews_chromium.org, avayvod+watch_chromium.org, mlamouri+watch-media_chromium.org, piman+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

media/.../{android_,gpu_}video_encode_accelerator{,_host} cleanup Just found a couple of things that needed cleanup during the investigation of the bug below. So, this CL: - Removes unnecessary CHECK(env); after JNIEnv* env = AttachCurrentThread(); (see https://crrev.com/2231923002) - s/__PRETTY_FUNCTION__/__FUNCTION__/ because the former is illegible in adb logcat or any other log, really. - s/NULL/nullptr/ And concretely in GpuVideoEncodeAccelerator this CL: - moves the static methods std::unique_ptr<VideoEncodeAccelerator> Create{platform}VEA out of the class and into anonymous namespace of the .cc file, since they don't need to be in the class at all. - nukes (*CreateVEAFp)() in that class and uses instead a base::Callback(), bound to the static method mentioned above. - uses for-range loops. BUG=638664 TEST=all unittests. content_browsertests, browser_tests etc working, and tested by hand in N7. Committed: https://crrev.com/0b1178c9eb68681f7a305f400d02351074a2e8fa Cr-Commit-Position: refs/heads/master@{#413057}

Patch Set 1 #

Patch Set 2 : #

Total comments: 17

Patch Set 3 : watk@ comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+112 lines, -156 lines) Patch
M media/base/android/sdk_media_codec_bridge.cc View 7 chunks +8 lines, -13 lines 0 comments Download
M media/gpu/android_video_encode_accelerator.cc View 1 2 4 chunks +7 lines, -6 lines 0 comments Download
M media/gpu/ipc/client/gpu_video_encode_accelerator_host.cc View 8 chunks +13 lines, -16 lines 0 comments Download
M media/gpu/ipc/service/gpu_video_encode_accelerator.h View 1 2 1 chunk +4 lines, -21 lines 0 comments Download
M media/gpu/ipc/service/gpu_video_encode_accelerator.cc View 1 2 12 chunks +80 lines, -100 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 26 (15 generated)
mcasas
watk@ presubmit recommended you, PTAL
1 year, 1 month ago (2016-08-18 05:56:31 UTC) #4
watk
lgtm https://codereview.chromium.org/2251993004/diff/20001/media/gpu/android_video_encode_accelerator.cc File media/gpu/android_video_encode_accelerator.cc (right): https://codereview.chromium.org/2251993004/diff/20001/media/gpu/android_video_encode_accelerator.cc#newcode322 media/gpu/android_video_encode_accelerator.cc:322: uint8_t* buffer = NULL; s/NULL/nullptr https://codereview.chromium.org/2251993004/diff/20001/media/gpu/android_video_encode_accelerator.cc#newcode351 media/gpu/android_video_encode_accelerator.cc:351: status ...
1 year, 1 month ago (2016-08-18 18:12:16 UTC) #5
mcasas
https://codereview.chromium.org/2251993004/diff/20001/media/gpu/android_video_encode_accelerator.cc File media/gpu/android_video_encode_accelerator.cc (right): https://codereview.chromium.org/2251993004/diff/20001/media/gpu/android_video_encode_accelerator.cc#newcode322 media/gpu/android_video_encode_accelerator.cc:322: uint8_t* buffer = NULL; On 2016/08/18 18:12:15, watk wrote: ...
1 year, 1 month ago (2016-08-18 19:24:41 UTC) #9
watk
https://codereview.chromium.org/2251993004/diff/20001/media/gpu/ipc/service/gpu_video_encode_accelerator.cc File media/gpu/ipc/service/gpu_video_encode_accelerator.cc (right): https://codereview.chromium.org/2251993004/diff/20001/media/gpu/ipc/service/gpu_video_encode_accelerator.cc#newcode67 media/gpu/ipc/service/gpu_video_encode_accelerator.cc:67: encoder.reset(new V4L2VideoEncodeAccelerator(device)); On 2016/08/18 19:24:40, mcasas wrote: > On ...
1 year, 1 month ago (2016-08-18 20:13:15 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2251993004/60001
1 year, 1 month ago (2016-08-18 20:42:25 UTC) #14
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/276387)
1 year, 1 month ago (2016-08-18 22:59:56 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2251993004/60001
1 year, 1 month ago (2016-08-18 23:05:19 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/276551)
1 year, 1 month ago (2016-08-19 01:33:15 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2251993004/60001
1 year, 1 month ago (2016-08-19 03:55:34 UTC) #22
commit-bot: I haz the power
Committed patchset #3 (id:60001)
1 year, 1 month ago (2016-08-19 05:33:58 UTC) #24
commit-bot: I haz the power
1 year, 1 month ago (2016-08-19 05:35:22 UTC) #26
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/0b1178c9eb68681f7a305f400d02351074a2e8fa
Cr-Commit-Position: refs/heads/master@{#413057}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b